Bug 1628178

Summary: py4j: Remove (sub)packages from Fedora 30+: python2-py4j
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: py4jAssignee: Raphael Groner <projects.rg>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cstratak, igor.raits, mhroncok, ngompa13, projects.rg, pviktori, zbyszek
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: py4j-0.10.7-2.fc30 py4j-0.10.7-3.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-09-29 21:05:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1625773    

Description Miro Hrončok 2018-09-12 12:34:36 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of py4j were marked for removal:

 * python2-py4j

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 2 Raphael Groner 2018-09-29 21:05:17 UTC
python2 subpackage is still available in epel7. I would like to manage only one spec file for all branches. I'll push another update with python3 subpackages also in epel7.

Comment 3 Fedora Update System 2018-09-29 21:06:21 UTC
py4j-0.10.7-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c400209101

Comment 4 Raphael Groner 2018-09-29 21:08:06 UTC
rawhide: https://koji.fedoraproject.org/koji/buildinfo?buildID=1148609

Comment 5 Fedora Update System 2018-09-30 01:14:05 UTC
py4j-0.10.7-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c400209101

Comment 6 Fedora Update System 2018-10-15 09:39:46 UTC
py4j-0.10.7-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.